{
  "compilerOptions": {
    "target": "ES2017",
    "lib": ["dom", "dom.iterable", "esnext"],
    "allowJs": true,
    "skipLibCheck": true,
    "strict": true,
    "noEmit": true,
    "esModuleInterop": true,
    "module": "esnext",
    "moduleResolution": "bundler",
    "resolveJsonModule": true,
    "isolatedModules": true,
    "jsx": "preserve",
    "incremental": true,
    "baseUrl": ".",
    "plugins": [
      {
        "name": "next"
      }
    ],
    "paths": {
      "@src/*": [
        "./src/*"],
      "@/db/*": [
        "./src/db/*"],
      "@queries/*": [
          "./src/db/queries/*"],
      "@schemas/*": [
        "./src/db/schema/*"],
      "@db/*": [
          "./src/db/*"],
      "@types/*": [
          "./src/types/*"],
      "@components/*": [
        "./src/components/*",
        "./src/components/ui/*",
        "./src/components/Brands/*"
      ],
      "@actions/*": [
        "./src/actions/*"
      ],
      "@layouts/*": [
        "./src/components/layouts/*"
      ],
      "@fragments/*": [
        "./src/app/Fragments/*"
      ],
      "@lib/*": [
        "@lib/*",
        "./src/lib/*"
      ],
      "@styles/*": [
        "./src/styles/*"
      ],
      "scss/*": [
        "./src/scss/*"
      ],
      "admin/*": [
        "./src/components/Admin/*"
      ],
      "products/*": [
        "./src/components/Products/*"
      ]
    },
    
  },
  "include": ["next-env.d.ts", "**/*.ts", "**/*.tsx", ".next/types/**/*.ts"],
  "exclude": ["node_modules"]
}
